<?php

/**
 * Page de fonctions concernant la gestion des domaines.
 */

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/bdd/connexion.php");

/**
 * Fonction listant les domaines.
 */
function listeDomainesPostfix($pdo) {
	try {
		$req = 'SELECT domaine FROM postfix_domaines ORDER BY defaut DESC';
		$sql=$pdo->prepare($req);
		$sql->execute();
		
		$liste_domaines = $sql->fetchAll();
		return $liste_domaines;
	}
	catch (\Exception $e) {
		die ("Erreur de requête de selection des domaines pour \"$base\" : ".$e->getMessage());
	}
}

/**
 * Fonction affichant le domaine par défaut.
 */
function retourneDomaineDefautPostfix($pdo) {
	try {
		$req = 'SELECT domaine FROM postfix_domaines WHERE defaut=1 LIMIT 1';
		$sql=$pdo->prepare($req);
		$sql->execute();
		
		$domaine_defaut = $sql->fetchAll();
		return $domaine_defaut[0]['domaine'];
	}
	catch (\Exception $e) {
		die ("Erreur de requête de selection des domaines pour \"$base\" : ".$e->getMessage());
	}
}

?>